## NAME

v.select - Selects features from vector map (A) by features from other vector map (B).

## KEYWORDS

vector, spatial query

## SYNOPSIS

v.select
v.select help
v.select [-tcr] ainput=name [atype=string[,string,...]] [alayer=integer] binput=name [btype=string[,string,...]] [blayer=integer] output=name [operator=string] [relate=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-t
  Do not create attribute table
-c
  Do not skip features without category
-r
  Reverse selection
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

ainput=name
  Name of input vector map (A)
atype=string[,string,...]
  Feature type (vector map A)
  Feature type
  Options: point,line,boundary,centroid,area
  Default: point,line,boundary,centroid,area
alayer=integer
  Layer number (vector map A)
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
binput=name
  Name of input vector map (B)
btype=string[,string,...]
  Feature type (vector map B)
  Feature type
  Options: point,line,boundary,centroid,area
  Default: point,line,boundary,centroid,area
blayer=integer
  Layer number (vector map B)
  A single vector map can be connected to multiple database tables. This number determines which table to use.
  Default: 1
output=name
  Name for output vector map
operator=string
  Operator defines required relation between features
  A feature is written to output if the result of operation 'ainput operator binput' is true. An input feature is considered to be true, if category of given layer is defined.
  Options: overlap,equals,disjoint,intersects,touches,crosses,within,contains,overlaps,relate
  Default: overlap
  overlap: features partially or completely overlap
  equals: features are spatially equals (using GEOS)
  disjoint: features do not spatially intersect (using GEOS)
  intersects: features spatially intersect (using GEOS)
  touches: features spatially touches (using GEOS)
  crosses: features spatially crosses (using GEOS)
  within: feature A is completely inside feature B (using GEOS)
  contains: feature B is completely inside feature A (using GEOS)
  overlaps: features spatially overlap (using GEOS)
  relate: feature A is spatially related to feature B (using GEOS, requires 'relate' option)
relate=string
  Intersection Matrix Pattern used for 'relate' operator

## DESCRIPTION

v.select allows the user to select features from a vector map by features from another one.

Supported operators (without GEOS):

- overlap - features partially or completely overlap

Supported operators (with GEOS):

- equals - features are spatially equals
- disjoint - features do not spatially intersect
- intersects - features spatially intersect
- touches - features spatially touches
- crosses - features spatially crosses
- within - feature A is completely inside feature B
- contains - feature B is completely inside feature A
- overlaps - features spatially overlap
- relate - feature A is spatially related to feature B

## NOTES

Only features with category numbers will be considered. If required the v.category module can be used to add them. Typically boundaries do not need to be given a category number, as an area's attributes are inherited from the centroid. Typically points, lines, and centroids will always want to have a cat number. E.g. take a road which separates two farms. It is ambiguous as to which farm an attribute that is attached to the road belongs to. The boundary only needs a cat number if it will hold its own attributes, such as road name or pavement form. A centroid in each paddock holds the information with respect to ownership, area, etc.

## EXAMPLES

Extract fire stations (points) from urban area map (polygon) - North Carolina data set:

    v.select ainput=firestations binput=urbanarea output=urban_firestations \
             operator=overlap

Extract Italian rivers from VMAP0 watercourses map:

    v.select ainput=watrcrsl_eurnasia_wgs84 binput=italy_area \
             output=watrcrsl_italy operator=overlap

## TODO

Processing areas with GEOS is currently incredibly slow. Significant speed-up is required.

## SEE ALSO

v.category, v.overlay, v.extract

GRASS SQL interface

## AUTHORS

Radim Blazek
GEOS support by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date: 2012-12-10 11:32:07 +0100 (po, 10 XII 2012) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team